#include "head.h"

enum square_type {
    square_passable,
    square_rock,
    square_gem,
    square_cristal,
    square_type_max
};

struct square {
    enum square_type type;
    int integrity;
    int gem;
    int cracked;
};

extern struct square grid[GRID_WIDTH][GRID_HEIGHT];
void init_grid(SDL_Renderer * renderer, int midripod_x, int midripod_y);
int is_passable(int x, int y);
void grid_draw(SDL_Renderer * renderer);
int grid_dig(int x, int y, int drillpower);
