#ifndef HEAD_H
#define HEAD_H

#include <SDL2/SDL.h>

#define ICON_FILENAME "icon.bmp"
#define TITLE "Ludum Dare 29"
#define WINDOW_WIDTH 800
#define WINDOW_HEIGHT 600
#define SQUARE_RATIO 20
#define GRID_WIDTH WINDOW_WIDTH/SQUARE_RATIO
#define GRID_HEIGHT WINDOW_HEIGHT/SQUARE_RATIO
/*
#define GRID_WIDTH 80
#define GRID_HEIGHT 60
*/
#define GEMICON_SIZE 3

void error(const char * msg);
void loop(SDL_Renderer * renderer);
SDL_Texture * load_texture(SDL_Renderer * renderer, const char * filename, int * w, int * h);
SDL_Texture * gemicon;

#endif
